/get_payment_slip

Returns an order with its payment slips for cash payments. Set return_html_slip or return_pdf_slip to true to include the slip as HTML or PDF. Returns an error if the order has no slips.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The unique, PayNearMe-defined identifier for this order

string
required
Defaults to S2411573363

Identifies your client site.

string
required

The Unix Epoch time of the call

string
required
Defaults to 3.0

The version of the API. This version must match the version associated with your API key pair.

string

The HMAC signature that is calculated by running your API Secret Key and the alphabetized, concatenated parameters of the request payload through the SHA256 message digest algorithm.

NOTE: This field is required when authenticating with the HMAC signature method; it is not required when authenticating with OAuth 2.0.

string

Setting this to true causes the HTML version of the payment slip (for cash payments) to be returned in the element of the slip portion of the XML. It is in a CDATA block. This HTML can be inserted in a page on your site to create a seamless user experience. Note that it is not a complete HTML page but contains a few elements.

string

Setting this to true causes the pdf version of the entire slip to be returned in the element of the slip portion of the XML. It is in a CDATA block. This PDF can be printed or merged with other PDF files as needed.

string
enum

Specifies whether the consumer’s preferred language is

  • en = English
  • sp = Spanish

Allowed:
string

Submit as true to only return the most recent payment made for the order in the order object response.

string

Enforces a limit to the number of payments that are returned in the order object response. For example, entering 2 limits the number of payments listed in the order to the 2 most recent payments. Use this parameter in conjunction with the sort_payments parameter to sort the listed payments by oldest (i.e.,asc) or the most recent (i.e., desc). By default, all payments are returned, which can slow down response time.

string

Enter a date in YYYY-MM-DD format to filter the list of payments that are returned in the order object response. For example, entering 2012-07-01 returns all payments that occurred on or after 2012-07-01 00:00:00 -0700.

string

Enter a date in YYYY-MM-DD format to filter the list of payments that are returned in the order object response. For example, entering 2012-07-01 returns all payments that occurred on or before 2012-07-01 00:00:00 -0700.

string

If set to true, PayNearMe will not return any payments made towards the balanace of the order.

string
enum

Sorts the payments returned in the order object response from oldest to most recent (i.e., asc) or from the most recent payments to oldest (i.e., desc). The default value for this parameter is asc.

Allowed:
Responses

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
application/json